diff --git a/gcc/c-family/c-opts.c b/gcc/c-family/c-opts.c
index 92ba481..0517c3e 100644
--- a/gcc/c-family/c-opts.c
+++ b/gcc/c-family/c-opts.c
@@ -442,7 +442,7 @@ c_common_handle_option (size_t scode, const char *arg, int value,
       /* Set to greater than 1, so that even unknown pragmas in
 	 system headers will be warned about.  */
       /* ??? There is no way to handle this automatically for now.  */
-      warn_unknown_pragmas = value * 2;
+      GCC_OPTION (warn_unknown_pragmas) = value * 2;
       break;
 
     case OPT_ansi:
@@ -489,7 +489,7 @@ c_common_handle_option (size_t scode, const char *arg, int value,
       /* Fall through....  */
     case OPT_fhosted:
       flag_hosted = value;
-      flag_no_builtin = !value;
+      GCC_OPTION (flag_no_builtin) = !value;
       break;
 
     case OPT_fconstant_string_class_:
@@ -513,7 +513,7 @@ c_common_handle_option (size_t scode, const char *arg, int value,
       break;
 
     case OPT_fpermissive:
-      flag_permissive = value;
+      GCC_OPTION (flag_permissive) = value;
       global_dc->permissive = value;
       break;
 
@@ -540,7 +540,7 @@ c_common_handle_option (size_t scode, const char *arg, int value,
     case OPT_frepo:
       flag_use_repository = value;
       if (value)
-	flag_implicit_templates = 0;
+	GCC_OPTION (flag_implicit_templates) = 0;
       break;
 
     case OPT_ftabstop_:
@@ -729,7 +729,7 @@ c_common_handle_option (size_t scode, const char *arg, int value,
       break;
 
     case OPT_Wabi:
-      warn_psabi = value;
+      GCC_OPTION (warn_psabi) = value;
       break;
     }
 
@@ -818,13 +818,13 @@ c_common_post_options (const char **pfilename)
      support.  */
   if (c_dialect_cxx ())
     {
-      if (flag_excess_precision_cmdline == EXCESS_PRECISION_STANDARD
+      if (GCC_OPTION (flag_excess_precision_cmdline) == EXCESS_PRECISION_STANDARD
 	  && TARGET_FLT_EVAL_METHOD_NON_DEFAULT)
 	sorry ("-fexcess-precision=standard for C++");
-      flag_excess_precision_cmdline = EXCESS_PRECISION_FAST;
+      GCC_OPTION (flag_excess_precision_cmdline) = EXCESS_PRECISION_FAST;
     }
-  else if (flag_excess_precision_cmdline == EXCESS_PRECISION_DEFAULT)
-    flag_excess_precision_cmdline = (flag_iso
+  else if (GCC_OPTION (flag_excess_precision_cmdline) == EXCESS_PRECISION_DEFAULT)
+    GCC_OPTION (flag_excess_precision_cmdline) = (flag_iso
 				     ? EXCESS_PRECISION_STANDARD
 				     : EXCESS_PRECISION_FAST);
 
@@ -835,52 +835,52 @@ c_common_post_options (const char **pfilename)
       && !c_dialect_cxx ()
       && (global_options_set.x_flag_fp_contract_mode
 	  == (enum fp_contract_mode) 0)
-      && flag_unsafe_math_optimizations == 0)
-    flag_fp_contract_mode = FP_CONTRACT_OFF;
+      && GCC_OPTION (flag_unsafe_math_optimizations) == 0)
+    GCC_OPTION (flag_fp_contract_mode) = FP_CONTRACT_OFF;
 
   /* By default we use C99 inline semantics in GNU99 or C99 mode.  C99
      inline semantics are not supported in GNU89 or C89 mode.  */
-  if (flag_gnu89_inline == -1)
-    flag_gnu89_inline = !flag_isoc99;
-  else if (!flag_gnu89_inline && !flag_isoc99)
+  if (GCC_OPTION (flag_gnu89_inline) == -1)
+    GCC_OPTION (flag_gnu89_inline) = !flag_isoc99;
+  else if (!GCC_OPTION (flag_gnu89_inline) && !flag_isoc99)
     error ("-fno-gnu89-inline is only supported in GNU99 or C99 mode");
 
   /* Default to ObjC sjlj exception handling if NeXT runtime.  */
-  if (flag_objc_sjlj_exceptions < 0)
-    flag_objc_sjlj_exceptions = flag_next_runtime;
-  if (flag_objc_exceptions && !flag_objc_sjlj_exceptions)
-    flag_exceptions = 1;
+  if (GCC_OPTION (flag_objc_sjlj_exceptions) < 0)
+    GCC_OPTION (flag_objc_sjlj_exceptions) = GCC_OPTION (flag_next_runtime);
+  if (GCC_OPTION (flag_objc_exceptions) && !GCC_OPTION (flag_objc_sjlj_exceptions))
+    GCC_OPTION (flag_exceptions) = 1;
 
   /* -Woverlength-strings is off by default, but is enabled by -Wpedantic.
      It is never enabled in C++, as the minimum limit is not normative
      in that standard.  */
   if (c_dialect_cxx ())
-    warn_overlength_strings = 0;
+    GCC_OPTION (warn_overlength_strings) = 0;
 
   /* Wmain is enabled by default in C++ but not in C.  */
   /* Wmain is disabled by default for -ffreestanding (!flag_hosted),
      even if -Wall or -Wpedantic was given (warn_main will be 2 if set
      by -Wall, 1 if set by -Wmain).  */
-  if (warn_main == -1)
-    warn_main = (c_dialect_cxx () && flag_hosted) ? 1 : 0;
-  else if (warn_main == 2)
-    warn_main = flag_hosted ? 1 : 0;
+  if (GCC_OPTION (warn_main) == -1)
+    GCC_OPTION (warn_main) = (c_dialect_cxx () && flag_hosted) ? 1 : 0;
+  else if (GCC_OPTION (warn_main) == 2)
+    GCC_OPTION (warn_main) = flag_hosted ? 1 : 0;
 
   /* In C, -Wall and -Wc++-compat enable -Wenum-compare; if it has not
      yet been set, it is disabled by default.  In C++, it is enabled
      by default.  */
-  if (warn_enum_compare == -1)
-    warn_enum_compare = c_dialect_cxx () ? 1 : 0;
+  if (GCC_OPTION (warn_enum_compare) == -1)
+    GCC_OPTION (warn_enum_compare) = c_dialect_cxx () ? 1 : 0;
 
   /* -Wpacked-bitfield-compat is on by default for the C languages.  The
      warning is issued in stor-layout.c which is not part of the front-end so
      we need to selectively turn it on here.  */
-  if (warn_packed_bitfield_compat == -1)
-    warn_packed_bitfield_compat = 1;
+  if (GCC_OPTION (warn_packed_bitfield_compat) == -1)
+    GCC_OPTION (warn_packed_bitfield_compat) = 1;
 
   /* Special format checking options don't work without -Wformat; warn if
      they are used.  */
-  if (!warn_format)
+  if (!GCC_OPTION (warn_format))
     {
       warning (OPT_Wformat_y2k,
 	       "-Wformat-y2k ignored without -Wformat");
@@ -897,40 +897,40 @@ c_common_post_options (const char **pfilename)
     }
 
   /* -Wimplicit-function-declaration is enabled by default for C99.  */
-  if (warn_implicit_function_declaration == -1)
-    warn_implicit_function_declaration = flag_isoc99;
+  if (GCC_OPTION (warn_implicit_function_declaration) == -1)
+    GCC_OPTION (warn_implicit_function_declaration) = flag_isoc99;
 
   /* Declone C++ 'structors if -Os.  */
-  if (flag_declone_ctor_dtor == -1)
-    flag_declone_ctor_dtor = optimize_size;
+  if (GCC_OPTION (flag_declone_ctor_dtor) == -1)
+    GCC_OPTION (flag_declone_ctor_dtor) = GCC_OPTION (optimize_size);
 
   if (cxx_dialect >= cxx11)
     {
       /* If we're allowing C++0x constructs, don't warn about C++98
 	 identifiers which are keywords in C++0x.  */
-      warn_cxx0x_compat = 0;
+      GCC_OPTION (warn_cxx0x_compat) = 0;
 
-      if (warn_narrowing == -1)
-	warn_narrowing = 1;
+      if (GCC_OPTION (warn_narrowing) == -1)
+	GCC_OPTION (warn_narrowing) = 1;
     }
-  else if (warn_narrowing == -1)
-    warn_narrowing = 0;
+  else if (GCC_OPTION (warn_narrowing) == -1)
+    GCC_OPTION (warn_narrowing) = 0;
 
-  if (flag_extern_tls_init)
+  if (GCC_OPTION (flag_extern_tls_init))
     {
 #if !defined (ASM_OUTPUT_DEF) || !SUPPORTS_WEAK
       /* Lazy TLS initialization for a variable in another TU requires
 	 alias and weak reference support. */
-      if (flag_extern_tls_init > 0)
+      if (GCC_OPTION (flag_extern_tls_init) > 0)
 	sorry ("external TLS initialization functions not supported "
 	       "on this target");
-      flag_extern_tls_init = 0;
+      GCC_OPTION (flag_extern_tls_init) = 0;
 #else
-      flag_extern_tls_init = 1;
+      GCC_OPTION (flag_extern_tls_init) = 1;
 #endif
     }
 
-  if (flag_preprocess_only)
+  if (GCC_OPTION (flag_preprocess_only))
     {
       /* Open the output now.  We must do so even if flag_no_output is
 	 on, because there may be other output than from the actual
@@ -964,12 +964,12 @@ c_common_post_options (const char **pfilename)
 	  c_common_no_more_pch ();
 	  /* Only -g0 and -gdwarf* are supported with PCH, for other
 	     debug formats we warn here and refuse to load any PCH files.  */
-	  if (write_symbols != NO_DEBUG && write_symbols != DWARF2_DEBUG)
+	  if (GCC_OPTION (write_symbols) != NO_DEBUG && GCC_OPTION (write_symbols) != DWARF2_DEBUG)
 	    warning (OPT_Wdeprecated,
 		     "the \"%s\" debug format cannot be used with "
-		     "pre-compiled headers", debug_type_names[write_symbols]);
+		     "pre-compiled headers", debug_type_names[GCC_OPTION (write_symbols)]);
 	}
-      else if (write_symbols != NO_DEBUG && write_symbols != DWARF2_DEBUG)
+      else if (GCC_OPTION (write_symbols) != NO_DEBUG && GCC_OPTION (write_symbols) != DWARF2_DEBUG)
 	c_common_no_more_pch ();
 
       /* Yuk.  WTF is this?  I do know ObjC relies on it somewhere.  */
@@ -992,18 +992,18 @@ c_common_post_options (const char **pfilename)
       return false;
     }
 
-  if (flag_working_directory
-      && flag_preprocess_only && !flag_no_line_commands)
+  if (GCC_OPTION (flag_working_directory)
+      && GCC_OPTION (flag_preprocess_only) && !flag_no_line_commands)
     pp_dir_change (parse_in, get_src_pwd ());
 
   /* Disable LTO output when outputting a precompiled header.  */
-  if (pch_file && flag_lto)
+  if (pch_file && GCC_OPTION (flag_lto))
     {
-      flag_lto = 0;
-      flag_generate_lto = 0;
+      GCC_OPTION (flag_lto) = 0;
+      GCC_OPTION (flag_generate_lto) = 0;
     }
 
-  return flag_preprocess_only;
+  return GCC_OPTION (flag_preprocess_only);
 }
 
 /* Front end initialization common to C, ObjC and C++.  */
@@ -1023,7 +1023,7 @@ c_common_init (void)
      are known.  */
   cpp_init_iconv (parse_in);
 
-  if (version_flag)
+  if (GCC_OPTION (version_flag))
     {
       int i;
       fputs ("Compiler executable checksum: ", stderr);
@@ -1035,7 +1035,7 @@ c_common_init (void)
   /* Has to wait until now so that cpplib has its hash table.  */
   init_pragma ();
 
-  if (flag_preprocess_only)
+  if (GCC_OPTION (flag_preprocess_only))
     {
       c_finish_options ();
       preprocess_file (parse_in);
@@ -1211,35 +1211,35 @@ sanitize_cpp_opts (void)
   else if (cpp_opts->deps.missing_files)
     error ("-MG may only be used with -M or -MM");
 
-  cpp_opts->unsigned_char = !flag_signed_char;
+  cpp_opts->unsigned_char = !GCC_OPTION (flag_signed_char);
   cpp_opts->stdc_0_in_system_headers = STDC_0_IN_SYSTEM_HEADERS;
-  cpp_opts->warn_date_time = cpp_warn_date_time;
+  cpp_opts->warn_date_time = GCC_OPTION (cpp_warn_date_time);
 
   /* Wlong-long is disabled by default. It is enabled by:
       [-Wpedantic | -Wtraditional] -std=[gnu|c]++98 ; or
       [-Wpedantic | -Wtraditional] -std=non-c99 .
 
       Either -Wlong-long or -Wno-long-long override any other settings.  */
-  if (warn_long_long == -1)
-    warn_long_long = ((pedantic || warn_traditional)
+  if (GCC_OPTION (warn_long_long) == -1)
+    GCC_OPTION (warn_long_long) = ((GCC_OPTION (pedantic) || GCC_OPTION (warn_traditional))
 		      && (c_dialect_cxx () ? cxx_dialect == cxx98 : !flag_isoc99));
-  cpp_opts->cpp_warn_long_long = warn_long_long;
+  cpp_opts->cpp_warn_long_long = GCC_OPTION (warn_long_long);
 
   /* Similarly with -Wno-variadic-macros.  No check for c99 here, since
      this also turns off warnings about GCCs extension.  */
   cpp_opts->warn_variadic_macros
-    = cpp_warn_variadic_macros && (pedantic || warn_traditional);
+    = GCC_OPTION (cpp_warn_variadic_macros) && (GCC_OPTION (pedantic) || GCC_OPTION (warn_traditional));
 
   /* If we're generating preprocessor output, emit current directory
      if explicitly requested or if debugging information is enabled.
      ??? Maybe we should only do it for debugging formats that
      actually output the current directory?  */
-  if (flag_working_directory == -1)
-    flag_working_directory = (debug_info_level != DINFO_LEVEL_NONE);
+  if (GCC_OPTION (flag_working_directory) == -1)
+    GCC_OPTION (flag_working_directory) = (GCC_OPTION (debug_info_level) != DINFO_LEVEL_NONE);
 
   if (cpp_opts->directives_only)
     {
-      if (cpp_warn_unused_macros)
+      if (GCC_OPTION (cpp_warn_unused_macros))
 	error ("-fdirectives-only is incompatible with -Wunused_macros");
       if (cpp_opts->traditional)
 	error ("-fdirectives-only is incompatible with -traditional");
@@ -1320,7 +1320,7 @@ c_finish_options (void)
 
       /* Start the main input file, if the debug writer wants it. */
       if (debug_hooks->start_end_main_source_file
-	  && !flag_preprocess_only)
+	  && !GCC_OPTION (flag_preprocess_only))
 	(*debug_hooks->start_source_file) (0, this_input_filename);
 
       /* Handle -imacros after -D and -U.  */
@@ -1344,7 +1344,7 @@ c_finish_options (void)
 
       /* Start the main input file, if the debug writer wants it. */
       if (debug_hooks->start_end_main_source_file
-	  && !flag_preprocess_only)
+	  && !GCC_OPTION (flag_preprocess_only))
 	(*debug_hooks->start_source_file) (0, this_input_filename);
     }
 
@@ -1382,7 +1382,7 @@ push_command_line_include (void)
     {
       include_cursor++;
       /* -Wunused-macros should only warn about macros defined hereafter.  */
-      cpp_opts->warn_unused_macros = cpp_warn_unused_macros;
+      cpp_opts->warn_unused_macros = GCC_OPTION (cpp_warn_unused_macros);
       /* Restore the line map from <command line>.  */
       if (!cpp_opts->preprocessed)
 	cpp_change_file (parse_in, LC_RENAME, this_input_filename);
@@ -1398,7 +1398,7 @@ static void
 cb_file_change (cpp_reader * ARG_UNUSED (pfile),
 		const struct line_map *new_map)
 {
-  if (flag_preprocess_only)
+  if (GCC_OPTION (flag_preprocess_only))
     pp_file_change (new_map);
   else
     fe_file_change (new_map);
@@ -1435,9 +1435,9 @@ set_std_c89 (int c94, int iso)
 {
   cpp_set_lang (parse_in, c94 ? CLK_STDC94: iso ? CLK_STDC89: CLK_GNUC89);
   flag_iso = iso;
-  flag_no_asm = iso;
-  flag_no_gnu_keywords = iso;
-  flag_no_nonansi_builtin = iso;
+  GCC_OPTION (flag_no_asm) = iso;
+  GCC_OPTION (flag_no_gnu_keywords) = iso;
+  GCC_OPTION (flag_no_nonansi_builtin) = iso;
   flag_isoc94 = c94;
   flag_isoc99 = 0;
   flag_isoc11 = 0;
@@ -1448,8 +1448,8 @@ static void
 set_std_c99 (int iso)
 {
   cpp_set_lang (parse_in, iso ? CLK_STDC99: CLK_GNUC99);
-  flag_no_asm = iso;
-  flag_no_nonansi_builtin = iso;
+  GCC_OPTION (flag_no_asm) = iso;
+  GCC_OPTION (flag_no_nonansi_builtin) = iso;
   flag_iso = iso;
   flag_isoc11 = 0;
   flag_isoc99 = 1;
@@ -1461,8 +1461,8 @@ static void
 set_std_c11 (int iso)
 {
   cpp_set_lang (parse_in, iso ? CLK_STDC11: CLK_GNUC11);
-  flag_no_asm = iso;
-  flag_no_nonansi_builtin = iso;
+  GCC_OPTION (flag_no_asm) = iso;
+  GCC_OPTION (flag_no_nonansi_builtin) = iso;
   flag_iso = iso;
   flag_isoc11 = 1;
   flag_isoc99 = 1;
@@ -1474,8 +1474,8 @@ static void
 set_std_cxx98 (int iso)
 {
   cpp_set_lang (parse_in, iso ? CLK_CXX98: CLK_GNUCXX);
-  flag_no_gnu_keywords = iso;
-  flag_no_nonansi_builtin = iso;
+  GCC_OPTION (flag_no_gnu_keywords) = iso;
+  GCC_OPTION (flag_no_nonansi_builtin) = iso;
   flag_iso = iso;
   cxx_dialect = cxx98;
 }
@@ -1485,8 +1485,8 @@ static void
 set_std_cxx11 (int iso)
 {
   cpp_set_lang (parse_in, iso ? CLK_CXX11: CLK_GNUCXX11);
-  flag_no_gnu_keywords = iso;
-  flag_no_nonansi_builtin = iso;
+  GCC_OPTION (flag_no_gnu_keywords) = iso;
+  GCC_OPTION (flag_no_nonansi_builtin) = iso;
   flag_iso = iso;
   /* C++11 includes the C99 standard library.  */
   flag_isoc94 = 1;
@@ -1499,8 +1499,8 @@ static void
 set_std_cxx1y (int iso)
 {
   cpp_set_lang (parse_in, iso ? CLK_CXX1Y: CLK_GNUCXX1Y);
-  flag_no_gnu_keywords = iso;
-  flag_no_nonansi_builtin = iso;
+  GCC_OPTION (flag_no_gnu_keywords) = iso;
+  GCC_OPTION (flag_no_nonansi_builtin) = iso;
   flag_iso = iso;
   /* C++11 includes the C99 standard library.  */
   flag_isoc94 = 1;
diff --git a/gcc/c-family/c-pch.c b/gcc/c-family/c-pch.c
index 93609b6..7947575 100644
--- a/gcc/c-family/c-pch.c
+++ b/gcc/c-family/c-pch.c
@@ -43,7 +43,7 @@ static const struct c_pch_matching
   int *flag_var;
   const char *flag_name;
 } pch_matching[] = {
-  { &flag_exceptions, "-fexceptions" },
+  { &GCC_OPTION (flag_exceptions), "-fexceptions" },
 };
 
 enum {
@@ -118,7 +118,7 @@ pch_init (void)
   gcc_assert (memcmp (executable_checksum, no_checksum, 16) != 0);
 
   memset (&v, '\0', sizeof (v));
-  v.debug_info_type = write_symbols;
+  v.debug_info_type = GCC_OPTION (write_symbols);
   {
     size_t i;
     for (i = 0; i < MATCH_SIZE; i++)
@@ -266,14 +266,14 @@ c_common_valid_pch (cpp_reader *pfile, const char *name, int fd)
   /* The allowable debug info combinations are that either the PCH file
      was built with the same as is being used now, or the PCH file was
      built for some kind of debug info but now none is in use.  */
-  if (v.debug_info_type != write_symbols
-      && write_symbols != NO_DEBUG)
+  if (v.debug_info_type != GCC_OPTION (write_symbols)
+      && GCC_OPTION (write_symbols) != NO_DEBUG)
     {
       if (cpp_get_options (pfile)->warn_invalid_pch)
 	cpp_error (pfile, CPP_DL_WARNING,
 		   "%s: created with -g%s, but used with -g%s", name,
 		   debug_type_names[v.debug_info_type],
-		   debug_type_names[write_symbols]);
+		   debug_type_names[GCC_OPTION (write_symbols)]);
       return 2;
     }
 
diff --git a/gcc/c-family/c-pragma.c b/gcc/c-family/c-pragma.c
index 9e2a00e..82987b4 100644
--- a/gcc/c-family/c-pragma.c
+++ b/gcc/c-family/c-pragma.c
@@ -149,7 +149,7 @@ handle_pragma_pack (cpp_reader * ARG_UNUSED (dummy))
   if (token == CPP_CLOSE_PAREN)
     {
       action = set;
-      align = initial_max_fld_align;
+      align = GCC_OPTION (initial_max_fld_align);
     }
   else if (token == CPP_NUMBER)
     {
@@ -205,7 +205,7 @@ handle_pragma_pack (cpp_reader * ARG_UNUSED (dummy))
   if (pragma_lex (&x) != CPP_EOF)
     warning (OPT_Wpragmas, "junk at end of %<#pragma pack%>");
 
-  if (flag_pack_struct)
+  if (GCC_OPTION (flag_pack_struct))
     GCC_BAD ("#pragma pack has no effect with -fpack-struct - ignored");
 
   if (action != pop)
@@ -623,15 +623,15 @@ static vec<int> visstack;
 void
 push_visibility (const char *str, int kind)
 {
-  visstack.safe_push (((int) default_visibility) | (kind << 8));
+  visstack.safe_push (((int) GCC_OPTION (default_visibility)) | (kind << 8));
   if (!strcmp (str, "default"))
-    default_visibility = VISIBILITY_DEFAULT;
+    GCC_OPTION (default_visibility) = VISIBILITY_DEFAULT;
   else if (!strcmp (str, "internal"))
-    default_visibility = VISIBILITY_INTERNAL;
+    GCC_OPTION (default_visibility) = VISIBILITY_INTERNAL;
   else if (!strcmp (str, "hidden"))
-    default_visibility = VISIBILITY_HIDDEN;
+    GCC_OPTION (default_visibility) = VISIBILITY_HIDDEN;
   else if (!strcmp (str, "protected"))
-    default_visibility = VISIBILITY_PROTECTED;
+    GCC_OPTION (default_visibility) = VISIBILITY_PROTECTED;
   else
     GCC_BAD ("#pragma GCC visibility push() must specify default, internal, hidden or protected");
   visibility_options.inpragma = 1;
@@ -647,7 +647,7 @@ pop_visibility (int kind)
     return false;
   if ((visstack.last () >> 8) != kind)
     return false;
-  default_visibility
+  GCC_OPTION (default_visibility)
     = (enum symbol_visibility) (visstack.pop () & 0xff);
   visibility_options.inpragma
     = visstack.length () != 0;
@@ -1128,7 +1128,7 @@ handle_pragma_float_const_decimal64 (cpp_reader *ARG_UNUSED (dummy))
 {
   if (c_dialect_cxx ())
     {
-      if (warn_unknown_pragmas > in_system_header_at (input_location))
+      if (GCC_OPTION (warn_unknown_pragmas) > in_system_header_at (input_location))
 	warning (OPT_Wunknown_pragmas,
 		 "%<#pragma STDC FLOAT_CONST_DECIMAL64%> is not supported"
 		 " for C++");
@@ -1137,7 +1137,7 @@ handle_pragma_float_const_decimal64 (cpp_reader *ARG_UNUSED (dummy))
 
   if (!targetm.decimal_float_supported_p ())
     {
-      if (warn_unknown_pragmas > in_system_header_at (input_location))
+      if (GCC_OPTION (warn_unknown_pragmas) > in_system_header_at (input_location))
 	warning (OPT_Wunknown_pragmas,
 		 "%<#pragma STDC FLOAT_CONST_DECIMAL64%> is not supported"
 		 " on this target");
@@ -1255,7 +1255,7 @@ c_register_pragma_1 (const char *space, const char *name,
 {
   unsigned id;
 
-  if (flag_preprocess_only)
+  if (GCC_OPTION (flag_preprocess_only))
     {
       pragma_ns_name ns_name;
 
@@ -1378,7 +1378,7 @@ c_invoke_pragma_handler (unsigned int id)
 void
 init_pragma (void)
 {
-  if (flag_openmp)
+  if (GCC_OPTION (flag_openmp))
     {
       const int n_omp_pragmas = sizeof (omp_pragmas) / sizeof (*omp_pragmas);
       int i;
@@ -1387,7 +1387,7 @@ init_pragma (void)
 	cpp_register_deferred_pragma (parse_in, "omp", omp_pragmas[i].name,
 				      omp_pragmas[i].id, true, true);
     }
-  if (flag_openmp || flag_openmp_simd)
+  if (GCC_OPTION (flag_openmp) || GCC_OPTION (flag_openmp_simd))
     {
       const int n_omp_pragmas_simd = sizeof (omp_pragmas_simd)
 				     / sizeof (*omp_pragmas);
@@ -1398,15 +1398,15 @@ init_pragma (void)
 				      omp_pragmas_simd[i].id, true, true);
     }
 
-  if (flag_cilkplus)
+  if (GCC_OPTION (flag_cilkplus))
     cpp_register_deferred_pragma (parse_in, NULL, "simd", PRAGMA_CILK_SIMD,
 				  true, false);
 
-  if (!flag_preprocess_only)
+  if (!GCC_OPTION (flag_preprocess_only))
     cpp_register_deferred_pragma (parse_in, "GCC", "pch_preprocess",
 				  PRAGMA_GCC_PCH_PREPROCESS, false, false);
 
-  if (!flag_preprocess_only)
+  if (!GCC_OPTION (flag_preprocess_only))
     cpp_register_deferred_pragma (parse_in, "GCC", "ivdep", PRAGMA_IVDEP, false,
 				  false);
 #ifdef HANDLE_PRAGMA_PACK_WITH_EXPANSION
diff --git a/gcc/c-family/cilk.c b/gcc/c-family/cilk.c
index 6a7bf4f..cbf2f06 100644
--- a/gcc/c-family/cilk.c
+++ b/gcc/c-family/cilk.c
@@ -411,7 +411,7 @@ check_outlined_calls (tree *tp, int *walk_subtrees ATTRIBUTE_UNUSED,
     return 0;
   flags = call_expr_flags (t);
 
-  if (!(flags & ECF_NOTHROW) && flag_exceptions)
+  if (!(flags & ECF_NOTHROW) && GCC_OPTION (flag_exceptions))
     *throws = true;
   if (flags & ECF_RETURNS_TWICE)
     error_at (EXPR_LOCATION (t), 
diff --git a/gcc/c/c-aux-info.c b/gcc/c/c-aux-info.c
index 4b6b2d0..1c1522f 100644
--- a/gcc/c/c-aux-info.c
+++ b/gcc/c/c-aux-info.c
@@ -530,7 +530,7 @@ void
 gen_aux_info_record (tree fndecl, int is_definition, int is_implicit,
 		     int is_prototyped)
 {
-  if (flag_gen_aux_info)
+  if (GCC_OPTION (flag_gen_aux_info))
     {
       static int compiled_from_record = 0;
       expanded_location xloc = expand_location (DECL_SOURCE_LOCATION (fndecl));
